/****************************************************************************************


		MCMemoryAlloc.h


		Copyright: (c) 2001 Eovia Corp. All rights reserved.


		Author:	Ian
		Date:	9/22/99

		Revision History

		when		who			what & why
		==========	==========	======================================================

*****************************************************************************************/

#if CP_PRAGMA_ONCE
	#pragma once
#endif

#ifndef __MCMemoryAlloc__
#define __MCMemoryAlloc__

#include "MCBasicTypes.h"

#ifdef qUseDefaultAllocator

	#if __MWERKS__
		#include <cstdlib>
	#else
		#include <stdlib.h>
	#endif

	#define MCmalloc	malloc
	#define MCcalloc	calloc
	#define MCrealloc	realloc
	#define MCfree		free

#else 

	//----------------------------------------------------------
	//Core Allocation
	void*	MCmalloc(uint32  size);
	void*	MCcalloc(uint32 nmemb, uint32 size);
	void*	MCrealloc(void* ptr, uint32  size);
	void	MCfree(void* ptr);

#endif

#endif
